<template>
  <div>
    <!-- todo уточнить у Валеры статусы и методы создания договоров -->
    <div v-if="true" class="contracts-list-without-data">
      <p class="contracts-list-without-data--info">Здесь вы можете создавать договоры на перевозку и услуги трекинга</p>
      <ob-inline-select
          v-model="createdContract.uuid"
          :items="createdContracts"
          label="Создать договор"
          class="contracts-list-without-data--select"
          @input="selectCreatedContract"
      />
    </div>
    <div v-else class="contracts-list-without-data">
      <div class="contracts-list-without-data--header">
        Вы сможете создавать договоры сразу, как только служба безопасности проверит ваши данные.
        Обычно это занимает около 2 часов.
      </div>
      <div class="contracts-list-without-data--body">
        <b>Зачем проверять мои данные?</b>
        <p>Мы проверяем каждого участника платформы, чтобы перевозки с Грузи.ру были прозрачными и безопасными. </p>
        <b>Что произойдет после того, как я пройду проверку?</b>
        <p>Вы сможете создавать договоры на услуги перевозки и трекинга.</p>
        <b>Как я узнаю, что проверка закончилась?</b>
        <p>По завершению проверки на почту companymail@mail.ru и номер телефона +7 (917) 535-83-55 придёт
          уведомление.<br/><br/>
          Вы также можете следить за ходом проверки в разделе Профиль, вкладке Карточка участника.<br/><br/>
          Если вдруг проверка затянется, свяжитесь с нами по номеру +7(495) 646-06-03 или по почте support@gruzi.ru</p>
      </div>
    </div>
  </div>
</template>

<script>
  import ObInlineSelect from 'common-components/src/obComponents/obInlineSelect';

  export default {
    name: "noInfoIntoDraft",
    components: {
      ObInlineSelect
    },
    data() {
      return {
        createdContract: {
          uuid: ''
        },
        createdContracts: [
          {
            title: 'Титульный договор',
            uuid: 'transportation_parent_contract'
          },
          {
            title: 'Трекинговый договор',
            uuid: 'tracking'
          }
        ]
      }
    },
    methods: {
      selectCreatedContract(link) {
        this.$emit('createNewContract', link)
      }
    }
  }
</script>

<style scoped lang="scss">
  .contracts-list-without-data {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 80vh;

    &--info {
      font-size: 24px;
      line-height: 29px;
      letter-spacing: 0.4px;
      color: $color-grey-span;
      margin-bottom: 30px;
    }

    &--header {
      max-width: 833px;
      font-size: 24px;
      line-height: 29px;
      text-align: center;
      letter-spacing: 0.4px;
      padding-bottom: 38px;
    }

    &--body {
      max-width: 580px;
      font-size: 14px;
      line-height: 16px;
      letter-spacing: 0.4px;

      b {
        margin-bottom: 10px;
      }

      p {
        margin-bottom: 30px;
      }
    }

    &--select {
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.4px;
    }
  }
</style>